﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

// 
// This source code was auto-generated by Microsoft.VSDesigner, Version 4.0.30319.42000.
// 
#pragma warning disable 1591

namespace Pertamina.CORSEC._2019.EventService {
    using System;
    using System.Web.Services;
    using System.Diagnostics;
    using System.Web.Services.Protocols;
    using System.Xml.Serialization;
    using System.ComponentModel;
    
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.4084.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Web.Services.WebServiceBindingAttribute(Name="New_Port_0SoapBinding", Namespace="urn:PTM:Integrasi:CorpSec:DataReq")]
    public partial class PTMIntegrasiCorpSecDataReqService : System.Web.Services.Protocols.SoapHttpClientProtocol {
        
        private AuthenticationInfo authenticationInfoValueField;
        
        private System.Threading.SendOrPostCallback New_GetList_OperationOperationCompleted;
        
        private bool useDefaultCredentialsSetExplicitly;
        
        /// <remarks/>
        public PTMIntegrasiCorpSecDataReqService() {
            this.Url = global::Pertamina.CORSEC._2019.Properties.Settings.Default.Pertamina_CORSEC_2019_EventService_PTM_Integrasi_CorpSec_DataReqService;
            if ((this.IsLocalFileSystemWebService(this.Url) == true)) {
                this.UseDefaultCredentials = true;
                this.useDefaultCredentialsSetExplicitly = false;
            }
            else {
                this.useDefaultCredentialsSetExplicitly = true;
            }
        }
        
        public AuthenticationInfo AuthenticationInfoValue {
            get {
                return this.authenticationInfoValueField;
            }
            set {
                this.authenticationInfoValueField = value;
            }
        }
        
        public new string Url {
            get {
                return base.Url;
            }
            set {
                if ((((this.IsLocalFileSystemWebService(base.Url) == true) 
                            && (this.useDefaultCredentialsSetExplicitly == false)) 
                            && (this.IsLocalFileSystemWebService(value) == false))) {
                    base.UseDefaultCredentials = false;
                }
                base.Url = value;
            }
        }
        
        public new bool UseDefaultCredentials {
            get {
                return base.UseDefaultCredentials;
            }
            set {
                base.UseDefaultCredentials = value;
                this.useDefaultCredentialsSetExplicitly = true;
            }
        }
        
        /// <remarks/>
        public event New_GetList_OperationCompletedEventHandler New_GetList_OperationCompleted;
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapHeaderAttribute("AuthenticationInfoValue")]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("urn:PTM:Integrasi:CorpSec:DataReq/New_GetList_Operation", RequestNamespace="urn:PTM:Integrasi:CorpSec:DataReq", ResponseNamespace="urn:PTM:Integrasi:CorpSec:DataReq", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        [return: System.Xml.Serialization.XmlElementAttribute("NamaRequester")]
        public string New_GetList_Operation(
                    string Qualification, 
                    string startRecord, 
                    string maxLimit, 
                    out string NamaEvent, 
                    out string LinkEvent, 
                    out string DeskripsiEvent, 
                    out string KategoriEvent, 
                    out string LokasiEvent, 
                    [System.Xml.Serialization.XmlElementAttribute(DataType="date")] out System.DateTime TanggalPelaksanaanDari, 
                    [System.Xml.Serialization.XmlElementAttribute(DataType="date")] [System.Xml.Serialization.XmlIgnoreAttribute()] out bool TanggalPelaksanaanDariSpecified, 
                    [System.Xml.Serialization.XmlElementAttribute(DataType="date")] out System.DateTime TanggalPelaksanaanSampai, 
                    [System.Xml.Serialization.XmlElementAttribute(DataType="date")] [System.Xml.Serialization.XmlIgnoreAttribute()] out bool TanggalPelaksanaanSampaiSpecified, 
                    [System.Xml.Serialization.XmlElementAttribute(DataType="time")] out System.DateTime WaktuPelaksanaanDari, 
                    [System.Xml.Serialization.XmlElementAttribute(DataType="time")] [System.Xml.Serialization.XmlIgnoreAttribute()] out bool WaktuPelaksanaanDariSpecified, 
                    [System.Xml.Serialization.XmlElementAttribute(DataType="time")] out System.DateTime WaktuPelaksanaanSampai, 
                    [System.Xml.Serialization.XmlElementAttribute(DataType="time")] [System.Xml.Serialization.XmlIgnoreAttribute()] out bool WaktuPelaksanaanSampaiSpecified, 
                    out string KategoriPeserta, 
                    out string KehadiranPejabat, 
                    out string UndanganPejabat, 
                    out string RequestNumber, 
                    out StatusType Status, 
                    out string Fungsi, 
                    out string Perusahaan, 
                    out System.DateTime SubmitDate, 
                    [System.Xml.Serialization.XmlIgnoreAttribute()] out bool SubmitDateSpecified, 
                    out string KelengkapanEvent, 
                    out string LinkBanner) {
            object[] results = this.Invoke("New_GetList_Operation", new object[] {
                        Qualification,
                        startRecord,
                        maxLimit});
            NamaEvent = ((string)(results[1]));
            LinkEvent = ((string)(results[2]));
            DeskripsiEvent = ((string)(results[3]));
            KategoriEvent = ((string)(results[4]));
            LokasiEvent = ((string)(results[5]));
            TanggalPelaksanaanDari = ((System.DateTime)(results[6]));
            TanggalPelaksanaanDariSpecified = ((bool)(results[7]));
            TanggalPelaksanaanSampai = ((System.DateTime)(results[8]));
            TanggalPelaksanaanSampaiSpecified = ((bool)(results[9]));
            WaktuPelaksanaanDari = ((System.DateTime)(results[10]));
            WaktuPelaksanaanDariSpecified = ((bool)(results[11]));
            WaktuPelaksanaanSampai = ((System.DateTime)(results[12]));
            WaktuPelaksanaanSampaiSpecified = ((bool)(results[13]));
            KategoriPeserta = ((string)(results[14]));
            KehadiranPejabat = ((string)(results[15]));
            UndanganPejabat = ((string)(results[16]));
            RequestNumber = ((string)(results[17]));
            Status = ((StatusType)(results[18]));
            Fungsi = ((string)(results[19]));
            Perusahaan = ((string)(results[20]));
            SubmitDate = ((System.DateTime)(results[21]));
            SubmitDateSpecified = ((bool)(results[22]));
            KelengkapanEvent = ((string)(results[23]));
            LinkBanner = ((string)(results[24]));
            return ((string)(results[0]));
        }
        
        /// <remarks/>
        public void New_GetList_OperationAsync(string Qualification, string startRecord, string maxLimit) {
            this.New_GetList_OperationAsync(Qualification, startRecord, maxLimit, null);
        }
        
        /// <remarks/>
        public void New_GetList_OperationAsync(string Qualification, string startRecord, string maxLimit, object userState) {
            if ((this.New_GetList_OperationOperationCompleted == null)) {
                this.New_GetList_OperationOperationCompleted = new System.Threading.SendOrPostCallback(this.OnNew_GetList_OperationOperationCompleted);
            }
            this.InvokeAsync("New_GetList_Operation", new object[] {
                        Qualification,
                        startRecord,
                        maxLimit}, this.New_GetList_OperationOperationCompleted, userState);
        }
        
        private void OnNew_GetList_OperationOperationCompleted(object arg) {
            if ((this.New_GetList_OperationCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.New_GetList_OperationCompleted(this, new New_GetList_OperationCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        public new void CancelAsync(object userState) {
            base.CancelAsync(userState);
        }
        
        private bool IsLocalFileSystemWebService(string url) {
            if (((url == null) 
                        || (url == string.Empty))) {
                return false;
            }
            System.Uri wsUri = new System.Uri(url);
            if (((wsUri.Port >= 1024) 
                        && (string.Compare(wsUri.Host, "localHost", System.StringComparison.OrdinalIgnoreCase) == 0))) {
                return true;
            }
            return false;
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.8.4084.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="urn:PTM:Integrasi:CorpSec:DataReq")]
    [System.Xml.Serialization.XmlRootAttribute(Namespace="urn:PTM:Integrasi:CorpSec:DataReq", IsNullable=false)]
    public partial class AuthenticationInfo : System.Web.Services.Protocols.SoapHeader {
        
        private string userNameField;
        
        private string passwordField;
        
        private string authenticationField;
        
        private string localeField;
        
        private string timeZoneField;
        
        /// <remarks/>
        public string userName {
            get {
                return this.userNameField;
            }
            set {
                this.userNameField = value;
            }
        }
        
        /// <remarks/>
        public string password {
            get {
                return this.passwordField;
            }
            set {
                this.passwordField = value;
            }
        }
        
        /// <remarks/>
        public string authentication {
            get {
                return this.authenticationField;
            }
            set {
                this.authenticationField = value;
            }
        }
        
        /// <remarks/>
        public string locale {
            get {
                return this.localeField;
            }
            set {
                this.localeField = value;
            }
        }
        
        /// <remarks/>
        public string timeZone {
            get {
                return this.timeZoneField;
            }
            set {
                this.timeZoneField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.8.4084.0")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="urn:PTM:Integrasi:CorpSec:DataReq")]
    public enum StatusType {
        
        /// <remarks/>
        Draft,
        
        /// <remarks/>
        [System.Xml.Serialization.XmlEnumAttribute("In Cart")]
        InCart,
        
        /// <remarks/>
        [System.Xml.Serialization.XmlEnumAttribute("In Review")]
        InReview,
        
        /// <remarks/>
        Submitted,
        
        /// <remarks/>
        Pending,
        
        /// <remarks/>
        [System.Xml.Serialization.XmlEnumAttribute("Waiting Approval")]
        WaitingApproval,
        
        /// <remarks/>
        Planning,
        
        /// <remarks/>
        [System.Xml.Serialization.XmlEnumAttribute("In Progress")]
        InProgress,
        
        /// <remarks/>
        Completed,
        
        /// <remarks/>
        Rejected,
        
        /// <remarks/>
        Cancelled,
        
        /// <remarks/>
        Closed,
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.4084.0")]
    public delegate void New_GetList_OperationCompletedEventHandler(object sender, New_GetList_OperationCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.4084.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class New_GetList_OperationCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal New_GetList_OperationCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public string Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((string)(this.results[0]));
            }
        }
        
        /// <remarks/>
        public string NamaEvent {
            get {
                this.RaiseExceptionIfNecessary();
                return ((string)(this.results[1]));
            }
        }
        
        /// <remarks/>
        public string LinkEvent {
            get {
                this.RaiseExceptionIfNecessary();
                return ((string)(this.results[2]));
            }
        }
        
        /// <remarks/>
        public string DeskripsiEvent {
            get {
                this.RaiseExceptionIfNecessary();
                return ((string)(this.results[3]));
            }
        }
        
        /// <remarks/>
        public string KategoriEvent {
            get {
                this.RaiseExceptionIfNecessary();
                return ((string)(this.results[4]));
            }
        }
        
        /// <remarks/>
        public string LokasiEvent {
            get {
                this.RaiseExceptionIfNecessary();
                return ((string)(this.results[5]));
            }
        }
        
        /// <remarks/>
        public System.DateTime TanggalPelaksanaanDari {
            get {
                this.RaiseExceptionIfNecessary();
                return ((System.DateTime)(this.results[6]));
            }
        }
        
        /// <remarks/>
        public bool TanggalPelaksanaanDariSpecified {
            get {
                this.RaiseExceptionIfNecessary();
                return ((bool)(this.results[7]));
            }
        }
        
        /// <remarks/>
        public System.DateTime TanggalPelaksanaanSampai {
            get {
                this.RaiseExceptionIfNecessary();
                return ((System.DateTime)(this.results[8]));
            }
        }
        
        /// <remarks/>
        public bool TanggalPelaksanaanSampaiSpecified {
            get {
                this.RaiseExceptionIfNecessary();
                return ((bool)(this.results[9]));
            }
        }
        
        /// <remarks/>
        public System.DateTime WaktuPelaksanaanDari {
            get {
                this.RaiseExceptionIfNecessary();
                return ((System.DateTime)(this.results[10]));
            }
        }
        
        /// <remarks/>
        public bool WaktuPelaksanaanDariSpecified {
            get {
                this.RaiseExceptionIfNecessary();
                return ((bool)(this.results[11]));
            }
        }
        
        /// <remarks/>
        public System.DateTime WaktuPelaksanaanSampai {
            get {
                this.RaiseExceptionIfNecessary();
                return ((System.DateTime)(this.results[12]));
            }
        }
        
        /// <remarks/>
        public bool WaktuPelaksanaanSampaiSpecified {
            get {
                this.RaiseExceptionIfNecessary();
                return ((bool)(this.results[13]));
            }
        }
        
        /// <remarks/>
        public string KategoriPeserta {
            get {
                this.RaiseExceptionIfNecessary();
                return ((string)(this.results[14]));
            }
        }
        
        /// <remarks/>
        public string KehadiranPejabat {
            get {
                this.RaiseExceptionIfNecessary();
                return ((string)(this.results[15]));
            }
        }
        
        /// <remarks/>
        public string UndanganPejabat {
            get {
                this.RaiseExceptionIfNecessary();
                return ((string)(this.results[16]));
            }
        }
        
        /// <remarks/>
        public string RequestNumber {
            get {
                this.RaiseExceptionIfNecessary();
                return ((string)(this.results[17]));
            }
        }
        
        /// <remarks/>
        public StatusType Status {
            get {
                this.RaiseExceptionIfNecessary();
                return ((StatusType)(this.results[18]));
            }
        }
        
        /// <remarks/>
        public string Fungsi {
            get {
                this.RaiseExceptionIfNecessary();
                return ((string)(this.results[19]));
            }
        }
        
        /// <remarks/>
        public string Perusahaan {
            get {
                this.RaiseExceptionIfNecessary();
                return ((string)(this.results[20]));
            }
        }
        
        /// <remarks/>
        public System.DateTime SubmitDate {
            get {
                this.RaiseExceptionIfNecessary();
                return ((System.DateTime)(this.results[21]));
            }
        }
        
        /// <remarks/>
        public bool SubmitDateSpecified {
            get {
                this.RaiseExceptionIfNecessary();
                return ((bool)(this.results[22]));
            }
        }
        
        /// <remarks/>
        public string KelengkapanEvent {
            get {
                this.RaiseExceptionIfNecessary();
                return ((string)(this.results[23]));
            }
        }
        
        /// <remarks/>
        public string LinkBanner {
            get {
                this.RaiseExceptionIfNecessary();
                return ((string)(this.results[24]));
            }
        }
    }
}

#pragma warning restore 1591